Hermes Germany offers domestic shipping services for shipments within Germany.
This guide provides developers with the details needed to build Hermes Germany shipping capabilities into your ShipStation API workflows.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | This is a nickname for you to identify the carrier account in ShipStation API. |
username | string | required | Your Hermes account username. |
password | string | required | Your Hermes account password. |
pickup_window_slot | enumerated string | required | Values: BETWEEN_10_AND_13", BETWEEN_12_AND_15", BETWEEN_14_AND_17 |
api_language | enumerated string | Optional | DE ,EN |
test_credentials | boolean | Optional |
You can connect a Hermes Germany account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.
For instructions on connecting Hermes Germany via the ShipStation API dashboard, go to our Hermes Germany help article.
carrier_name: hermes_germany
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/hermes_germany HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My Hermes Germany Account",
"username":"YourUserName",
"password":"pa55word",
"pickup_window_slot":"your_pickup_window_slot_here",
"api_language":"your_api_language_here",
"test_credentials":"your_test_credentials_option_here"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Hermes Germany does not send estimated rates to ShipStation API, and so does not support rate shopping. Your Hermes account contact can provide you with the details about your contracted rates.
Available Hermes Germany services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | Carrier Code | API Code |
|---|---|---|
| Hermes Package - Standard | H | hermes_package_standard |
| Hermes Package - Next Day | H-nextDay | hermes_package_next_day |
| Small Package - Standard | S | small_package_standard |
| Small Package - Next Day | S-nextDay | small_package_next_day |
| Medium Package - Standard | M | medium_package_standard |
| Medium Package - Next Day | M-nextDay | medium_package_next_day |
| Large Package - Standard | L | large_package_standard |
| Large Package - Next Day | L-nextDay | large_package_next_day |
| Extra Large Package - Standard | XL | extra_large_package_standard |
| Extra Large Package - Next Day | XL-nextDay | extra_large_package_next_day |
Hermes Germany supports the following return services:
| Service | API Code |
|---|---|
| Standalone Return | hermes_germany_standalone_return |
Review the Return Shipping Labels page for details on creating return labels with ShipStation API.
The following carrier package types are available for Hermes Germany services:
| Name | API Code | Package Attributes |
|---|---|---|
| Bike | hermes_germany_bike | International, Domestic |
| Bag | hermes_germany_bag | International, Domestic |
| Large Item | hermes_germany_large_item | International, Domestic |
| Parcel | hermes_germany_parcel | International, Domestic |
Hermes Germany does not support adding carrier insurance to their shipents.
Review the Parcel Insurance page for details on adding shipment insurance with ShipStation API.
- Label sizes: 4" x 6"
- Label formats: PDF, ZPL
Hermes Germany does not support adding custom label messages.
Hermes Germany does not support creating multi-package shipments
Hermes Germany does not support label branding.
Hermes Germany does not support voiding labels with ShipStation API.
Hermes Germany does not support paperless labels.
| Confirmation Type | API Code | Description |
|---|---|---|
| No confirmation required | none | Available only for Hermes Germany return serice. |
See our Delivery Confirmation page for more details about using the confirmation property.
Hermes Germany does not support any advanced options.
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
Hermes Germany does not require manifesting your shipments.
Hermes Germany does not support schedule pickups using ShipStation API.
Hermes Germany does not support shipping to service points.
ShipStation API's integration with Hermes Germany supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.